// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyB7ZwU8fWFKA-Nfkg0rvYCHYYHt-x25f2Q',
    appId: '1:598711147826:web:191182e638f7d056370b2b',
    messagingSenderId: '598711147826',
    projectId: 'galix-cashback',
    authDomain: 'galix-cashback.firebaseapp.com',
    storageBucket: 'galix-cashback.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyCbee-xXbWO2sicgTV90xYhSVzTamuATFs',
    appId: '1:598711147826:android:c3c4bd9714dd4a5e370b2b',
    messagingSenderId: '598711147826',
    projectId: 'galix-cashback',
    storageBucket: 'galix-cashback.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyD9iqVOADR16Qd-bJ6SpJfA-1slRKCCZsc',
    appId: '1:598711147826:ios:63f0ede9e12b311a370b2b',
    messagingSenderId: '598711147826',
    projectId: 'galix-cashback',
    storageBucket: 'galix-cashback.appspot.com',
    iosClientId: '598711147826-4esakpbj16hcdqs0uo2b1d7154hbgdd7.apps.googleusercontent.com',
    iosBundleId: 'com.example.cashbackApp',
  );
}
